<%- include('../partials/header', {req: req, title: 'Přihlášení'}); %>

<body class="bg-gradient-primary">

    <div class="container">

        <!-- Outer Row -->
        <div class="row justify-content-center">

            <div class="col-xl-10 col-lg-12 col-md-9">

                <div class="card o-hidden border-0 shadow-lg my-5">
                    <div class="card-body p-0">
                        <!-- Nested Row within Card Body -->
                        <div class="row">
                            <div class="col-lg-6 d-none d-lg-block bg-login-image">

                            </div>
                            <div class="col">
                                <div class="p-5">
                                    <div class="text-center">
                                        <h1 class="h4 text-gray-900 mb-4">Login to admin section</h1>
                                    </div>
                                    <form class="user" action="" method="POST">
                                        <div class="form-group">
                                            <input type="text" name="username" required placeholder="Username"
                                                class="form-control form-control-user"
                                                <%= (req.query.username) ? 'value='+req.query.username+'' : "" %>>
                                        </div>

                                        <div class="form-group">
                                            <input type="password" name="password" required placeholder="Password"
                                                class="form-control form-control-user">
                                        </div>

                                        <div class="form-group">
                                            <div class="custom-control custom-checkbox small">
                                                <input type="checkbox" class="custom-control-input" id="loveCheck">
                                                <label class="custom-control-label" for="loveCheck">
                                                    I love <%= randomLove %>
                                                </label>
                                            </div>
                                        </div>
                                        <button class="btn btn-primary btn-user btn-block">
                                            Login
                                        </button>
                                        <div class="col s12">
                                            <% if (req.query['err']) { %>
                                            <br />
                                            <div class='card border-left-danger shadow h-100 py-2'>
                                                <div class="card-body">
                                                    <div class="row no-gutters align-items-center">
                                                        <div class="col mr-2">
                                                            <% switch (req.query['err']) {
                    case 'bad-username' : %>
                                                            Entered username doesn't exit!
                                                            <% break;
                    
                    case 'badPassword' : %>
                                                            You entered incorrect password.
                                                            <% break;

                    case 'logout-ok' : %>
                                                            Logout was successful.
                                                            <% break;
                } %>
                                                        </div>
                                                        <div class="col-auto">
                                                            <i
                                                                class="fas fa-exclamation-triangle fa-2x text-gray-300"></i>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <% } %>
                                        </div>
                                    </form>
                                    <hr>
                                    <div class="text-center">
                                        <a class="small" href="/admin/login/forgot-password">I forget my password!</a>
                                    </div>
                                    <div class="text-center">
                                        <a class="small" href="/admin/register">Register</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            </div>

        </div>

    </div>

    <!-- Bootstrap core JavaScript-->
    <script src="/vendor/jquery/jquery.min.js"></script>
    <script src="/vendor/bootstrap/js/bootstrap.bundle.min.js"></script>

    <!-- Core plugin JavaScript-->
    <script src="/vendor/jquery-easing/jquery.easing.min.js"></script>

    <!-- Custom scripts for all pages-->
    <script src="/js/sb-admin-2.min.js"></script>

</body>

</html>